| Bug#: 93173 | Product: Gentoo Linux | Version: unspecified | Platform: All |
| OS/Version: Other | Status: RESOLVED | Severity: normal | Priority: P2 |
| Resolution: FIXED | Assigned To: mobile@gentoo.org | Reported By: manolis@tzanidakis.gr | |
| Component: Ebuilds | |||
| URL: | |||
| Summary: [irda-utils-0.9.16] irdadump does not get installed (with patch) | |||
| Keywords: | |||
| Status Whiteboard: | |||
| Opened: 2005-05-19 03:25 0000 | |||
| Description: | Opened: 2005-05-19 03:25 0000 |
irdadump doesn't get installed.
Reproducible: Always
Steps to Reproduce:
1.emerge irda-utils
2.
3.
The following patch fixes it:
--- irda-utils-0.9.16.ebuild 2005-05-18 23:56:53.000000000 +0300
+++ irda-utils-0.9.16-r1.ebuild 2005-05-19 00:02:44.000000000 +0300
@@ -28,6 +28,7 @@
src_compile() {
export WANT_AUTOMAKE=1.4
+ export WANT_AUTOCONF=2.5
export RPM_OPT_FLAGS=${CFLAGS}
emake ROOT="${D}" RPM_BUILD_ROOT="${D}" || die "Making failed."
@@ -35,6 +36,9 @@
cd ${S}/irsockets
emake || die "Making irsockets failed."
+ cd ${S}/irdadump
+ emake || die "Making irdadump failed."
+
if use gtk; then
cd ${S}/findchip
emake gfindchip || die "Making gfindchip failed."
Thanks, I'll take a look at it.
I've tried this patch and it works for me. At least irdadump is installed for me now. BTW. Without WANT_AUTOMAKE irda-utils complain about: FATAL ERROR: Autoconf version 2.50 or higher is required for this script
Fixed in net-wireless/irda-utils-0.9.16-r1.
No need to cd ${S}/irdadump and run emake as this is handled by the Makefile itself.